{% extends "osvald/base.html" %}{% load static %}{% load mptt_tags %}{% block sb_admin_title %}Aktivity{% endblock sb_admin_title %}
{% block sb_admin_subheading %}
    <small>interaktivní zadávání</small>{% endblock sb_admin_subheading %}

{% block osvald_content %}



    <div class="tabbed-outer">

        <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
            {% for category in categories %}
                <li class="nav-item{% if  category.id == active_category.id %} active{% endif %}"  >
                    <a class="nav-link active" id="pills-{{ category.id_name }}-tab" data-toggle="pill"
                       href="#pills-{{ category.id_name }}" role="tab"
                       aria-controls="pills-{{ category.id_name }}" aria-selected="false"
                       style="background-color:{{ category.color }}"><i class="fa fa-{{ category.icon }}"
                                                                        style></i> {{ category.name }}</a>
                </li>
            {% endfor %}

        </ul>
        <hr class="activity-tab-line">
        <div class="tab-content" id="pills-tabContent">
            {% for category in categories %}
                <div class="tab-pane {% if  category.id == active_category.id %}active{% endif %} fade in" id="pills-{{ category.id_name }}" role="tabpanel"
                     aria-labelledby="pills-{{ category.id_name }}-tab">
                    <div class="row">
                        {% for template in category.template_activity_set.all|dictsortreversed:"priority" %}
                            <div class="col-lg-3 col-md-4 col-xl-2 activity">
                                <div class="panel panel-primary">
                                    <div class="panel-activity">
                                        <div class="row">
                                            <div class="col-xs-3" style="rotation: -30deg">
                                                <i class="fa fa-{{ template.icon }} fa-5x fa-big "></i>
                                            </div>
                                            <div class="col-xs-9 text-right">

                                                <div class="badge activity-info-badge"
                                                     data-content="{{ template.description }}<br/> <b>Průměrný čas za minulé období: </b>{{ template.avg_time }}"

                                                     rel="popover" data-placement="bottom"
                                                     data-original-title="{{ template.name }}" data-trigger="hover"
                                                     data-toggle="popover" data-placement="top" data-html="true"
                                                     data-html="true"> i
                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                    <a href="#">
                                        <div class="panel-footer">
                                            <span class="pull-left">{{ template.name }}</span>
                                            <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                                            <div class="clearfix"></div>
                                        </div>
                                    </a>
                                    <div class="hidden metadata">
                                        <span class="activity-id">{{ template.id }}</span>
                                        <span class="activity-avg">{{ template.avg_time }}</span>
                                        <span class="activity-user-description">{{ template.description }}</span>

                                    </div>
                                </div>
                            </div>


                        {% endfor %}
                    </div>
                </div>
            {% endfor %}
            {% for active_metadata in active %}
                <div class="hidden active-activity-metadata">

                    <span class="active-activity-id">{{ active_metadata.id }}</span>
                    <span class="active-activity-name">{{ active_metadata.template.name }}</span>
                    <span class="active-activity-created">{{ active_metadata.created_at }}</span>
                    <span class="active-activity-updated">{{ active_metadata.updated_at }}</span>
                    <span class="active-activity-comment">{{ active_metadata.comment }}</span>
                    <span class="active-activity-customer">{{ active_metadata.customer_id }}</span>
                    <span class="active-activity-document">{{ active_metadata.document_id }}</span>
                    <span class="active-activity-multi">{% if active_metadata.count == 0 %}1{% else %}0{% endif %}</span>
                    <span class="active-activity-template-id">{{ active_metadata.template.id }}</span>
                    <span class="active-activity-allowed-subtype">{{ active_metadata.template.alow_subtype }}</span>

                </div>
            {% endfor %}
        </div>
    </div>


  </div>
 {% include 'osvald/components/modal.html' %}


{% endblock osvald_content %}

